Subject: [mpls] TR: I-D ACTION:draft-leroux-mpls-mp-ldp-reqs-03.txt

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Wed, 22 Feb 2006 08:59:34 +0100

Hi all,

This is a new revision of the P2MP LDP requirement draft.
It accounts for comments received in Vancouver: 
-We removed solution specific text, related to routing (in previous
verison it was stated "the solution MUST not require the use of a
multicast routing protocol"), and label allocation on LAN interfaces
(the previous version was suggesting upstream label assignement).
-We added a requirement for efficient balancing of a set of P2MP LSPs
among a set of upstream LSRs on a LAN interface while avoiding data
replication (in section 5.9).
-We made some rewordings for the sake of clarity.

Your comments on this new version would be really appreciated.

Best Regards,

JL et al.

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Requirements for point-to-multipoint 
                          extensions to the Label Distribution Protocol
	Author(s)	: J. Le Roux, et al.
	Filename	: draft-leroux-mpls-mp-ldp-reqs-03.txt
	Pages		: 16
	Date		: 2006-2-21
	
This document lists a set of functional requirements for Label 
   Distribution Protocol (LDP) extensions for setting up point-to-
   multipoint (P2MP) Label Switched Paths (LSP), in order to deliver 
   point-to-multipoint applications over a Multi Protocol Label 
   Switching (MPLS) infrastructure. It is intended that solutions that 
   specify LDP procedures for setting up P2MP LSP satisfy these 
   requirements.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-leroux-mpls-mp-ldp-reqs-03.txt

To remove yourself from the I-D Announcement list, send a message to 
i-d-announce-request at ietf.org with the word unsubscribe in the body
of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the
username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-leroux-mpls-mp-ldp-reqs-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	mailserv at ietf.org.
In the body type:
	"FILE /internet-drafts/draft-leroux-mpls-mp-ldp-reqs-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
<ftp://ftp.ietf.org/internet-drafts/draft-leroux-mpls-mp-ldp-reqs-03.txt
<ftp://ftp.ietf.org/internet-drafts/draft-leroux-mpls-mp-ldp-reqs-03.txt
_______________________________________________
I-D-Announce mailing list
I-D-Announce at ietf.org
https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: <[email-masked]>
Date: Thu, 23 Feb 2006 15:28:47 -0000

Colleagues,

After reading draft-leroux-mpls-mp-ldp-reqs-03 I have the following
editorial comments/suggestions:

Section 3.1, Paragraphs 1,2,3,4,5,7 - put a blank line after each
paragraph.

Section 3.1, Paragraph 6 - "A P2MP LSPs is an LSP" => "A P2MP LSP is an
LSP"

Section 3.1, Paragraph 8 - "without the need of traffic engineering" =>
"without the need for traffic engineering"

Section 3.2, Paragraph 1 - you use egress LSR but everywhere else in the
document you use Egress LSR.

Section 3.2, Paragraph 5 - "This may allow reducing the amount of LDP
state to be maintained by a LSR" suggest changing this to "This may
allow a reduction in the amount of LDP state that must be maintained by
a LSR"

Section 5.2, Paragraph 2 - "Such P2MP FEC MUST be distinguished clearly
from the exiting P2P FEC." I think you mean 'existing' not 'exiting'.

Section 5.8, Paragraph 2 - "Given that P2MP LDP routing must rely on the
RIB, the achievement of the following requirements also implies the
underlying routing protocols (IGP, etc.)."  I think what you're trying
to say is something like "Given that P2MP LDP routing must rely on the
RIB, the achievement of the following requirements also implies the
underlying routing protocols (IGP, etc.) must meet these requirements."

Section 5.8.1, Paragraph 2 - "The rerouting time SHOULD be as much as
possible minimized so as to reduce traffic disruption." => "The
rerouting time SHOULD be minimized as much as possible so as to reduce
traffic disruption." 

Section 5.8.2 - "Traffic disruption SHOULD be as much as possible
minimized during such rerouting." => "Traffic disruption SHOULD be
minimized as much as possible during such rerouting." and "Unnecessary
data duplication during such rerouting SHOULD also be as much as
possible minimized." => "Unnecessary data duplication during such
rerouting SHOULD also be minimized as much as possible."

Section 5.8.3 - Same comments as for Section 5.8.2

Section 5.9, Paragraph 1 - "This requires that the same label be
negotiated will all downstream LSRs for the LSP." 'will' => 'with'

Section 5.16 "   A solution SHOULD avoid whatever single points of
failures or propose some technical solutions for a failover mechanism."
remove 'whatever' as it's superfluous?

Section 6.1, Paragrpah 3 "Particularly it is RECOMMENDED that the size
of a MP2MP state on a LSR" remove the superfluous 'a' before MP2MP

Ben

-- 
Ben Niven-Jenkins
Network Architect, BT Exact
  
E-mail: [email-masked] 
Office: +44 (0)1473 648225
Mobile: +44 (0)7918 077205
   Fax: +44 (0)1332 578827

---

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Fri, 24 Feb 2006 09:26:31 +0100

Hi Ben

Thanks a lot for these suggestions.
They will be incorporated in the next revision.

Best Regards,

JL

> -----Message d'origine-----
> De : [email-masked] 
> [mailto:[email-masked]] 
> Envoyé : jeudi 23 février 2006 16:29
> À : [email-masked]
> Objet : RE: [mpls] TR: I-D 
> ACTION:draft-leroux-mpls-mp-ldp-reqs-03.txt 
> 
> Colleagues,
> 
> After reading draft-leroux-mpls-mp-ldp-reqs-03 I have the 
> following editorial comments/suggestions:
> 
> Section 3.1, Paragraphs 1,2,3,4,5,7 - put a blank line after 
> each paragraph.
> 
> Section 3.1, Paragraph 6 - "A P2MP LSPs is an LSP" => "A P2MP 
> LSP is an LSP"
> 
> Section 3.1, Paragraph 8 - "without the need of traffic 
> engineering" => "without the need for traffic engineering"
> 
> Section 3.2, Paragraph 1 - you use egress LSR but everywhere 
> else in the document you use Egress LSR.
> 
> Section 3.2, Paragraph 5 - "This may allow reducing the 
> amount of LDP state to be maintained by a LSR" suggest 
> changing this to "This may allow a reduction in the amount of 
> LDP state that must be maintained by a LSR"
> 
> Section 5.2, Paragraph 2 - "Such P2MP FEC MUST be 
> distinguished clearly from the exiting P2P FEC." I think you 
> mean 'existing' not 'exiting'.
> 
> Section 5.8, Paragraph 2 - "Given that P2MP LDP routing must 
> rely on the RIB, the achievement of the following 
> requirements also implies the underlying routing protocols 
> (IGP, etc.)."  I think what you're trying to say is something 
> like "Given that P2MP LDP routing must rely on the RIB, the 
> achievement of the following requirements also implies the 
> Section 5.8.1, Paragraph 2 - "The rerouting time SHOULD be as 
> much as possible minimized so as to reduce traffic 
> disruption." => "The rerouting time SHOULD be minimized as 
> much as possible so as to reduce traffic disruption." 
> 
> Section 5.8.2 - "Traffic disruption SHOULD be as much as 
> possible minimized during such rerouting." => "Traffic 
> disruption SHOULD be minimized as much as possible during 
> such rerouting." and "Unnecessary data duplication during 
> such rerouting SHOULD also be as much as possible minimized." 
> => "Unnecessary data duplication during such rerouting SHOULD 
> also be minimized as much as possible."
> 
> Section 5.9, Paragraph 1 - "This requires that the same label 
> be negotiated will all downstream LSRs for the LSP." 'will' => 'with'
> 
> Section 6.1, Paragrpah 3 "Particularly it is RECOMMENDED that 
> the size of a MP2MP state on a LSR" remove the superfluous 
> 'a' before MP2MP
> 
> Ben
> 
> 
> --
> Ben Niven-Jenkins